<?php

/**

Modified version of EasyPhpThumbnail class version 2.0.1 - PHP5
On-the-fly image manipulation and thumbnail generation

Copyright (c) 2008-2009 JF Nutbroek <jfnutbroek@gmail.com>
Visit http://www.mywebmymail.com for more information

Permission to use, copy, modify, and/or distribute this software for any
purpose without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

*/

class easyphpthumbnail {
		
	public  $Thumbsize;			
	public  $Chmodlevel;	
	public  $Thumblocation;
	public  $Clipcorner;
	public  $Backgroundcolor;
	public  $Quality;
	private $image;			
	private $im;			
	private $thumb;			
	private $size;
	private $thumbx;				
	private $thumby;
	private $memsize;

	public function __construct() {
	
		$this->Thumbsize          = 140;
		$this->Chmodlevel         = '0755';
		$this->Thumblocation      = '';
		$this->Clipcorner         = array(2,15,0,1,1,1,1);
		$this->Backgroundcolor    = '#FAFAFA';
		$this->Quality            = '90';
		$this->memsize            = (integer) ini_get('memory_limit') * 1024 * 1024 * 0.85 - ($this->Thumbsize*$this->Thumbsize*4);
		
	}
	
	public function __destruct() {
        
		if(is_resource($this->im)) imagedestroy($this->im);
		if(is_resource($this->thumb)) imagedestroy($this->thumb);
        
	}
	
	public function Createthumb($filename="unknown") {

		if (is_array($filename)) {
			foreach ($filename as $name) {
				$this->image=$name;
				$this->thumbmaker();
			}
		} else {
			$this->image=$filename;
			$this->thumbmaker();
		}
                
	}

	private function thumbmaker() {

		if ($this->loadimage()) {
			if ($this->Clipcorner[0]==2) {$this->clipcornersround();}
			$this->createemptythumbnail();
			imagecopyresampled($this->thumb,$this->im,0,0,0,0,$this->thumbx,$this->thumby,imagesx($this->im),imagesy($this->im));
			$this->savethumb();
		}
                
	}
        
	private function loadimage() {
			
		try {
			if (file_exists($this->image)) {
				$this->size=GetImageSize($this->image);
				if ($this->memsize>0) {
						if (($this->size[0]*$this->size[1]*4)>$this->memsize) {return false;}
				}
				switch($this->size[2]) {
					case 1:
						if (imagetypes() & IMG_GIF) {$this->im=imagecreatefromgif($this->image);} 
						break;
					case 2:
						if (imagetypes() & IMG_JPG) {$this->im=imagecreatefromjpeg($this->image);} 
						break;
					case 3:
						if (imagetypes() & IMG_PNG) {$this->im=imagecreatefrompng($this->image);} 
						break;
					default:
						return false;
				}
				if (!$this->im) {return false;} else {return true;}
			} else {
				return false;	
			}
		} catch (Exception $e) {
			return false;
		}    
      
	}

	private function createemptythumbnail() {
        
		if ($this->size[0]>$this->size[1])
			$this->thumb=imagecreatetruecolor($this->Thumbsize,ceil($this->size[1]/($this->size[0]/$this->Thumbsize)));
		else
			$this->thumb=imagecreatetruecolor(ceil($this->size[0]/($this->size[1]/$this->Thumbsize)),$this->Thumbsize);
		$this->thumbx=imagesx($this->thumb);$this->thumby=imagesy($this->thumb);
		imagefilledrectangle($this->thumb,0,0,$this->thumbx,$this->thumby,imagecolorallocate($this->thumb,hexdec(substr($this->Backgroundcolor,1,2)),hexdec(substr($this->Backgroundcolor,3,2)),hexdec(substr($this->Backgroundcolor,5,2))));
        
	}

	private function clipcornersround() {
        
		$clipsize=floor($this->size[0]*($this->Clipcorner[1]/100));
		$clip_degrees=90/max($clipsize,1);
		$points_tl=array(0,0);
		$points_br=array($this->size[0],$this->size[1]);
		$points_tr=array($this->size[0],0);
		$points_bl=array(0,$this->size[1]);
		$bgcolor=imagecolorallocate($this->im,hexdec(substr($this->Backgroundcolor,1,2)),hexdec(substr($this->Backgroundcolor,3,2)),hexdec(substr($this->Backgroundcolor,5,2)));
		for ($i=0;$i<$clipsize;$i++) {
			$x=$clipsize*cos(deg2rad($i*$clip_degrees));
			$y=$clipsize*sin(deg2rad($i*$clip_degrees));
			array_push($points_tl,$clipsize-$x);
			array_push($points_tl,$clipsize-$y);
			array_push($points_tr,$this->size[0]-$clipsize+$x);
			array_push($points_tr,$clipsize-$y);
			array_push($points_br,$this->size[0]-$clipsize+$x);
			array_push($points_br,$this->size[1]-$clipsize+$y);
			array_push($points_bl,$clipsize-$x);
			array_push($points_bl,$this->size[1]-$clipsize+$y);
		}
		array_push($points_tl,$clipsize,0);
		array_push($points_br,$this->size[0]-$clipsize,$this->size[1]);
		array_push($points_tr,$this->size[0]-$clipsize,0);
		array_push($points_bl,$clipsize,$this->size[1]);
		imagefilledpolygon($this->im,$points_tl,count($points_tl)/2,$bgcolor);
		imagefilledpolygon($this->im,$points_bl,count($points_bl)/2,$bgcolor);          
		imagefilledpolygon($this->im,$points_tr,count($points_tr)/2,$bgcolor);          
		imagefilledpolygon($this->im,$points_br,count($points_br)/2,$bgcolor);
		imagerectangle($this->im,0,0,$this->size[0]-1,$this->size[1]-1,$bgcolor);

	}
        
	private function savethumb() {
        
		$this->image=substr($this->image,0,strrpos($this->image,'.')).".jpg";
		@imagejpeg($this->thumb,$this->Thumblocation.basename($this->image),$this->Quality);
		if ($this->Chmodlevel!='') {@chmod($this->Thumblocation.basename($this->image),octdec($this->Chmodlevel));}
		imagedestroy($this->im);
		imagedestroy($this->thumb);
                
	}
  
}

?>